<app-header
    title="Toutes les spécialités"
    [displayUserInfos]="false"
></app-header>
<ion-content class="ion-margin-top">
    <app-search-engine
        (setCriteria)="getCriteria($event)"
        [advanced]="false"
    ></app-search-engine>

    <!-- Specialities -->
    <ion-row class="ion-text-center mt-18 mx-5">
        <ion-col
            *ngFor="let item of filteredItems; trackBy: trackSpecialities"
            size="4"
        >
            <ion-card
                class="specialities__card height-125 px-5 py-10 radius-15 ion-no-margin"
                routerLink="/specialists"
                [queryParams]="{ domainId: item.id }"
                data-testid="speciality"
            >
                <app-img
                    [src]="item.icon"
                    [alt]="item.fonctionName"
                    [title]="item.fonctionName"
                    [errorSrc]="cardMedia"
                    class="specialities__item flex ion-justify-content-center mb-5 width-70 height-75"
                ></app-img>
                <ion-label color="dove-black" class="size-12">
                    {{ item.fonctionName }}
                </ion-label>
            </ion-card>
        </ion-col>
    </ion-row>
</ion-content>
